Subject: bug#54658: "pypi->guix-package, no wheel" test fails

From: Maxime Devos <[email-masked]>
Date: Wed, 13 Apr 2022 09:52:20 +0200

Ludovic Courtès schreef op wo 13-04-2022 om 08:48 [+0200]:
> Hi,
> 
> Maxime Devos <[email-masked]> skribis:
> 
> > I noticed "./pre-inst-env guix build guix" fails on my computer due to
> > "pypi->guix-package, no wheel" failing.  Here is an excerpt from the log:
> 
> Which commit are you building for?  For x86_64-linux?
> 
> Current ‘guix’ package seems to be fine:

I can reproduce it in a Guix checkout for
855097683230b756ba28636bed03ce904b6f3589 with "make check
TESTS=tests/pypi.scm". (x86_64-linux)

It appears to be non-deterministic though --  the first "make check
TESTS=tests/pypi.scm" failed, but the later ones succeeded.

I'll try adding some pk debugging and running it in a loop.

Greetings,
Maxime.